MAPNIK-CONFIG(1)

NAME
mapnik-config - return meta-information about Mapnik

SYNOPSIS
mapnik-config [ options ]

DESCRIPTION
This manual page documents briefly the mapnik-config command.

mapnik-config is a program that returns meta-information about the installed libmapnik.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--prefix, --prefix=new_prefix
    Display Mapnik prefix or, alternatively, temporarily set the Mapnik prefix to new_prefix.

--libs
    Print library linking information.

--dep-libs
    Print library linking information for Mapnik depedencies.

--ldflags
    Print library paths (-L) information.

--cflags
    Print pre-processor and compiler flags.

--fonts
    Print default fonts directory.

--input-plugins
    Print default input plugins directory.

--json
    Print all config options as JSON objects.

-h, --help
    Show summary of options.

-v, --version
    Shows version information.

--svn-revision
    Shows SVN revision information.

AUTHOR
This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (but may be used by others), and is licensed under the terms of the GNU General Public License version 2 or, at your option, any later version.